Param(
  [string]$MSIP,
  [string]$user,
  [string]$password,
  [string]$nfspath,
  [string]$Mode,

  [string]$ApplianceIP,
  [string]$devicesnamelist
)

$MPNameList = @()
$datentime = Get-Date
#Write-Host "$datentime :: Begin PowerShell execution of CallDellMPImportScript.ps1"

$securepass = ConvertTo-SecureString -AsPlainText $password -Force
$cred = New-Object System.Management.Automation.PSCredential ($user, $securepass)

$datentime = Get-Date
#Write-Host "$datentime :: Creating session"
$session = New-PSSession -ComputerName $MSIP -Authentication Negotiate -Credential $cred 
    
$datentime = Get-Date
#Write-Host "$datentime :: Invoking command"

if($Mode -eq "denroll")
{
	$ParamDenroll = "true"
	Invoke-Command -Session $session -FilePath /usr/share/tomcatTejas/webapps/Spectre/WEB-INF/classes/com/dell/tejas/ig/ps/command/DeleteDellDevices.ps1 -ArgumentList $ParamDenroll,$ParamServiceTagList
}

$response = Invoke-Command -Session $session -FilePath /usr/share/tomcatTejas/webapps/Spectre/WEB-INF/classes/com/dell/tejas/ig/ps/command/ImportDellManagementPacks.ps1 -ArgumentList $ApplianceIP,$Mode,$nfspath,$devicesnamelist

                                            
$datentime = Get-Date
#Write-Host "$datentime :: Removing session"
Remove-PSSession -Session $session
$datentime = Get-Date
#Write-Host "$datentime :: Finished PowerShell execution of CallDellMPImportScript.ps1"
$jsonResponse = $response | ConvertTo-Json -Compress
$scom = '"scom"'
$finaljson = "{"+$scom+":"+$jsonResponse+"}"
$returnValue = "SUCCESS"+ "`n"+$finaljson
return $returnValue
