param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$tejasIP)

# Return Value
$returnval = @()
$temp = @("null") 
$VMMobj = @()
$temp = @()

Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}

$sccmcreds = Createcredobj $DomainUsername $DelPwd
$Server = $ComputerName.Split('.')[0]
$userRoleList = Invoke-Command -ComputerName $Server -Credential $sccmcreds -ConfigurationName Microsoft.PowerShell32 -ScriptBlock {
        #Removed this check, introduced for checking delegate admin which is not valid for sccm           
	#Import-Module -Name "$(split-path $Env:SMS_ADMIN_UI_PATH)\ConfigurationManager.psd1"
	#$PSD = Get-PSDrive -PSProvider CMSite
	 #if($PSD -eq $null){
	#	New-PSDrive -Name "LOCAL" -PSProvider CMSite -Root $args[1]
	#	$PSDN = Get-PSDrive -PSProvider CMSite -Name "LOCAL"
	#	$SiteCode= CD "$($PSDN):"
	#}else{
	 #     $SiteCode= CD "$($PSD):"	
	#}	
	#$AdmilList= Get-CMAdministrativeUser -Name $args[0]
	#return   $AdmilList.RoleNames 
        return "Administrator"
			       
}-Args $DomainUsername,$ComputerName -ErrorVariable errmsg  2>$null

If (![string]::IsNullOrWhiteSpace($errmsg)){
              $userRoleList=$null
}


try
	{
	if ($userRoleList -eq $null)
    {
    	$returnval = $returnval + "FAIL"
		$returnval = $returnval + "Unable to get Roles for the specified User" +$DomainUsername
        return $returnval
    }
	else{

    	$returnval = $returnval + "SUCCESS"
				
        foreach ($element in $userRoleList) {
	    	$userRoleString = $userRoleString + $element +',' + ' '
        }
        $userRoleString = $userRoleString.Substring(0,$userRoleString.Length-2)
        $jsonresponse="UserRole:"+$userRoleString
        $returnval = $returnval + $jsonresponse
	       
        return  $returnval
	}
   }
   catch
        {
                $returnval = $returnval + "FAIL"
				$returnval = $returnval + $Error[0].Exception
				return $returnval
        }