param($VMMServer,$DelUserName,$DelPwd,$tejasFQDN,$operationdetails)


    $operationdetails = $operationdetails -replace "\\n\\r", " "
    $replaceBMCRunAsAccountName=$operationdetails.split(",")[0]
	$replaceBMCIPAddress=$operationdetails.split(",")[1]
	$replaceServerSvcTag=$operationdetails.split(",")[2]
	$replaceSMBiosId=$operationdetails.split(",")[3]
	$replaceDiscoveryIdentifier=$operationdetails.split(",")[4]
	$replaceJobIdentifier=$operationdetails.split(",")[5]
	$$replaceID=$operationdetails.split(",")[5]
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program
    #$DelUserName 
    #$DelPwd
    #$VMMServer
	
	#$replaceBMCRunAsAccountName
	#$replaceBMCIPAddress
    #$replaceServerSvcTag
    #$replaceSMBiosId
	#$replaceDiscoveryIdentifier
	#$replaceJobIdentifier

# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program

#######  TEST from powershell prompt ###################
## For Debugging directly in the power shell IDE ...uncomment below lines 
#test
$debug1 = 1
Function test()
{
   # $DelUserName='Tejas\administrator'
   # $DelPwd='Dell_123$'
   # $VMMServer='scvmm'
   # $replaceBMCRunAsAccountName = "Idrac"
   # $replaceBMCIPAddress = "192.168.10.33"
   # $replaceServerSvcTag = "ABCDEF"
   # $replaceSMBiosId = "4c4c4544-0032-4d10-8033-b9c04f363253"
   # $replaceDiscoveryIdentifier = "xxx"
   # $replaceJobIdentifier = "yyyy"
   # $replaceID = "zzz"
      
   # import-module "C:\\Program Files\\Microsoft System Center 2012\\Virtual Machine Manager\\bin\\psModules\\virtualmachinemanager"
  
}

## For Debugging directly in the power shell IDE ...uncomment below lines 

# Create obj
Function Createcredobj($username, $passwd)
{

    try{
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host "inside catch"
        }
    }

    return $mycredsobj

}

# Global value assigned constants
$TejasBMCProtocol = "SMASH"

# Return Value
# 
 $returnval = @()

if ($debug1 -eq 0)
{
    write-host $VMMServer $DelUserName $DelPwd $replaceBMCRunAsAccountName $replaceBMCIPAddress $replaceServerSvcTag $replaceSMBiosId $TejasBMCProtocol
}
 
try
{
# Create SCVMM Cred obj    
    $scvmmcreds = Createcredobj $DelUserName $DelPwd
   
    # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $VMMServer -Credential $scvmmcreds 
    if ( $VMMobj -eq $null)
    {
        $returnval = $returnval + "FAIL"
        $returnval = $returnval + "-7,SCVMM host not reachable"
    }
	else
    {
	    # do valid stuff
		$BMCRAA = Get-SCRunAsAccount -Name $replaceBMCRunAsAccountName 
		if($BMCRAA -eq $Null)
		{
			#Exception out / Messaging that RunAsAccount is not present, Need to recreate.
			$returnval = $returnval + "FAIL"
			$returnval = $returnval + "-11,Credential Profile provided to SCVMM has it's associated RunAsAccount missing"
		}
		else
		{
				$ErrorActionPreference = "Stop";
				 
				Find-SCComputer -BMCAddress $replaceBMCIPAddress -BMCRunAsAccount $BMCRAA -DeepDiscovery -DiscoveryID $replaceDiscoveryIdentifier -BMCProtocol $TejasBMCProtocol -JobVariable $replaceJobIdentifier -RunAsynchronously -SMBiosGuid $replaceSMBiosId -VMMServer $VMMobj
				$GuidVar = (Get-Variable ($replaceJobIdentifier -replace "'","") -ValueOnly).Id				
								
				$returnval = $returnval + "SUCCESS"
				$returnval = $returnval + "SCVMM Operation for FindSCComputer Completed Successfully"
				write-host "SCVMM Operation Completed Successfully"
				$returnval = $returnval + $GuidVar.Guid.ToString()
		}	
	}
}
catch [system.exception]
{
                   $returnval = $returnval + "FAIL"
                   $returnval = $returnval + "Exception in FindSCComputer"   
				   write-host "SCVMM Operation for FindSCComputer Completed Failed"				   
}

write-host "Returning from OSD-Find-SCComputer : " +$returnval
return $returnval